--- mguesser-0.2.orig/Makefile
+++ mguesser-0.2/Makefile
@@ -1,22 +1,26 @@
-CFLAGS=-Wall -g -DUDM_GUESSER_STANDALONG -DLMDIR=\"./maps\" -DMGUESSER_VERSION=\"0.2\"
+ifndef CFLAGS
+CFLAGS=-Wall -g
+endif
+DEFINES=-DUDM_GUESSER_STANDALONG -DLMDIR=\"${DESTDIR}/usr/share/mguesser\" -DMGUESSER_VERSION=\"0.2\"
 LIBS=-lm
 CC=cc
 
-
 all: mguesser
 
-
 mguesser: guesser.o crc32.o Makefile
-	$(CC) $(CFLAGS) $(LIBS) guesser.o crc32.o -o mguesser
-
+	$(CC) $(CFLAGS) $(DEFINES) $(LIBS) guesser.o crc32.o -o mguesser
 
 guesser.o: guesser.c
-	$(CC) $(CFLAGS) -c guesser.c
-
+	$(CC) $(CFLAGS) $(DEFINES) -c guesser.c
 
 crc32.o: crc32.c
-	$(CC) $(CFLAGS) -c crc32.c
+	$(CC) $(CFLAGS) $(DEFINES) -c crc32.c
 
+install:
+	mkdir -p ${DESTDIR}/usr/share/mguesser
+	mkdir -p ${DESTDIR}/usr/share/man/man1
+	install -m 644 maps/* ${DESTDIR}/usr/share/mguesser/
+	install -m 755 mguesser ${DESTDIR}/usr/bin/
 
 clean:
 	rm -f mguesser *.o
